Package org.apache.sysds.runtime.instructions.spark.utils

## Enum RDDConverterUtilsExt.RDDConverterTypes

- java.lang.Object
- - java.lang.Enum<RDDConverterUtilsExt.RDDConverterTypes>
  - - org.apache.sysds.runtime.instructions.spark.utils.RDDConverterUtilsExt.RDDConverterTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<RDDConverterUtilsExt.RDDConverterTypes>`

Enclosing class:
  RDDConverterUtilsExt

    public static enum RDDConverterUtilsExt.RDDConverterTypes
    extends Enum<RDDConverterUtilsExt.RDDConverterTypes>

### Enum Constant Summary

Enum Constants
`MATRIXENTRY_TO_MATRIXCELL`
`TEXT_TO_MATRIX_CELL`

### Method Summary

All Methods Static Methods Concrete Methods
`static RDDConverterUtilsExt.RDDConverterTypes` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RDDConverterUtilsExt.RDDConverterTypes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TEXT_TO_MATRIX_CELL

    public static final RDDConverterUtilsExt.RDDConverterTypes TEXT_TO_MATRIX_CELL

#### MATRIXENTRY_TO_MATRIXCELL

    public static final RDDConverterUtilsExt.RDDConverterTypes MATRIXENTRY_TO_MATRIXCELL

### Method Detail

#### values

    public static RDDConverterUtilsExt.RDDConverterTypes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RDDConverterUtilsExt.RDDConverterTypes c : RDDConverterUtilsExt.RDDConverterTypes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RDDConverterUtilsExt.RDDConverterTypes valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null